% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bar_chart.R
\name{bar_chart}
\alias{bar_chart}
\title{bar_chart}
\usage{
bar_chart(
  data,
  ordinalAccessor,
  valueAccessor,
  groupAccessor = "",
  mainTitle = "",
  subTitle = "",
  accessibility = list(),
  props = list(),
  ...
)
}
\arguments{
\item{data}{required to be a valid, R data frame. Data used to create chart, an array of objects which includes keys that map to chart accessors.}

\item{ordinalAccessor}{String. Key used to determine bar's categorical property. (similar to x in ggplot)}

\item{valueAccessor}{String. Key used to determine bar's numeric property. (similar to y in ggplot)}

\item{groupAccessor}{String. Key used to determine bar group encoding (e.g., color/texture).}

\item{mainTitle}{String. The dynamic tag of title for the map (or you can create your own separately). See \code{highestHeadingLevel} prop for how tags get assigned.}

\item{subTitle}{String. The dynamic tag for a sub title for the map (or you can create your own separately). See \code{highestHeadingLevel} prop for how tags get assigned.}

\item{accessibility}{List(). Manages messages and settings for chart accessibility, see \href{https://github.com/visa/visa-chart-components/tree/master/packages/bar-chart#accessibility-props}{object definition}}

\item{props}{List(). A valid R list with additional property configurations, see all props for \href{https://github.com/visa/visa-chart-components/tree/master/packages/bar-chart}{@visa/bar-chart}}

\item{...}{All other props passed into the function will be passed through to the chart, see all props for \href{https://github.com/visa/visa-chart-components/tree/master/packages/bar-chart}{@visa/bar-chart}.}
}
\value{
a visaChart htmlwidget object for plotting a bar chart
}
\description{
R wrapper for \href{https://github.com/visa/visa-chart-components/tree/master/packages/bar-chart}{@visa/bar-chart} via \href{https://www.htmlwidgets.org/}{htmlwidgets}.

Here is an example of bar-chart in action:

\if{html}{\figure{bar-chart-1.png}{options: width=400 alt="example bar chart"}}
}
\details{
To see all available options for the chart properties/API see \href{https://github.com/visa/visa-chart-components/tree/master/packages/bar-chart}{@visa/bar-chart}.
}
\examples{
library(dplyr)
bar_chart(BOD, "Time", "demand")
mtcars \%>\%
  sample_n(5) \%>\%
  tibble::rownames_to_column() \%>\%
  bar_chart("rowname", "mpg")
}
